Bug 74586 - EDITING: Content seems to be lost when sort data with header in merged cells
Summary: EDITING: Content seems to be lost when sort data with header in merged cells
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2014-02-05 20:09 UTC by Robert Großkopf
Modified: 2019-06-05 14:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Description for lost content with screenshots (144.38 KB, application/pdf)
2014-02-05 20:09 UTC, Robert Großkopf
Details
Table to test the sorting - see first attachment for details (18.50 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2014-02-05 20:10 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2014-02-05 20:09:42 UTC
Created attachment 93490 [details]
Description for lost content with screenshots

There is a table, where the content of the header is saved in merged cells. For example A1-A3 has the header for all data from A4 up to A7 ...
If you mark this area and want to sort it (Date → Sort), it would sort the content (without the included format), but there seem to be gone the last two rows, in the example A6 and A7. This cells are empty.
Now mark the header with the merged cells. Set it back to single cells. The lost content is shown in the fields, which doesn't exist in the GUI for the user.

See the attachments for more details.
Comment 1 Robert Großkopf 2014-02-05 20:10:39 UTC
Created attachment 93491 [details]
Table to test the sorting - see first attachment for details
Comment 2 Robert Großkopf 2014-02-05 20:14:03 UTC
Comment on attachment 93490 [details]
Description for lost content with screenshots

Have forgotten to add the version and system:
This bug appears here on all versions, tested with LO 3.3.0beta1, LO 3.6.7.2, LO 4.2.0.4.
My System: OpenSUSE 12.3 64bit rpm Linux
Comment 3 Kevin Suo 2014-02-18 06:19:59 UTC
Repro in 4.2.1.1 and 4.1.5.3.
Ubuntu 13.10 x86.
Comment 4 Joel Madero 2015-05-02 15:42:51 UTC Comment hidden (obsolete)
Comment 5 Robert Großkopf 2015-05-02 17:20:10 UTC
Its the same buggy behavior in
Version: 5.0.0.0.alpha1+
Build ID: fc0d494b8936ab11abca761810de8a03f579edf5
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-20_05:29:00
Locale: de_DE

So nothing has been changed by any other fix here.
Comment 6 QA Administrators 2016-09-20 09:36:50 UTC Comment hidden (obsolete)
Comment 7 Robert Großkopf 2016-09-22 05:40:59 UTC
It's the same buggy behavior in LO 5.1.5.2 and 5.2.0.3. Tested with OpenSUSE 42.1, 64bit rpm Linux.
Comment 8 QA Administrators 2018-06-04 02:34:38 UTC Comment hidden (obsolete)
Comment 9 Robert Großkopf 2018-06-04 05:38:30 UTC
It's the same buggy behavior in LO 6.0.4.2, tested with OpenSUSE 42.3, 64bit rpm Linux.
Comment 10 QA Administrators 2019-06-05 02:54:25 UTC Comment hidden (obsolete)
Comment 11 Robert Großkopf 2019-06-05 14:07:08 UTC
It's the same buggy behaviour in LO 6.2.4.2, tested with OpenSUSE 15, 64bit rpm Linux.

Note: You have to choose for sorting the option "without formatting". If you won't do it an error appears and there won't be sorted anything.
With this option the last two rows will disappear behind the merged cells.